Gallery Platform API
Reference

List a contact's interactions

Returns the contact's interaction history, newest first, with cursor pagination.

GET
/gallery/contacts/{id}/interactions

Returns the contact's interaction history, newest first, with cursor pagination.

Authorization

bearerAuth contacts:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: contacts:read

Path Parameters

id*string

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
kind?string

Value in

  • "viewing_room"
  • "fair"
  • "price_list"
  • "exhibition"
  • "selection"
q?string
Length1 <= length <= 200
tag_id?array<string>
Items1 <= items <= 10

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "contact_id": "string",      "actor_id": "string",      "type": "note",      "direction": "inbound",      "subject": "string",      "body": "string",      "artwork_id": "string",      "occurred_at": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}